Bug 177767 - fsh cannot find module FCNTL
fsh cannot find module FCNTL
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: fsh (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 14:54 EST by Diego Novillo
Modified: 2008-03-09 22:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 22:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Novillo 2006-01-13 14:54:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Whenever I try to run fsh, I get the error:

$ fsh --help
Traceback (most recent call last):
  File "/usr/bin/fsh", line 6, in ?
    import fsh
  File "/usr/share/fsh/fsh.py", line 28, in ?
    import fshlib
  File "/usr/share/fsh/fshlib.py", line 24, in ?
    import fshcompat
  File "/usr/share/fsh/fshcompat.py", line 67, in ?
    import FCNTL
ImportError: No module named FCNTL


Version-Release number of selected component (if applicable):
fsh-1.2-5

How reproducible:
Always

Steps to Reproduce:
1. fsh --help
  

Actual Results:  $ fsh --help
Traceback (most recent call last):
  File "/usr/bin/fsh", line 6, in ?
    import fsh
  File "/usr/share/fsh/fsh.py", line 28, in ?
    import fshlib
  File "/usr/share/fsh/fshlib.py", line 24, in ?
    import fshcompat
  File "/usr/share/fsh/fshcompat.py", line 67, in ?
    import FCNTL
ImportError: No module named FCNTL


Expected Results:  
Help message.

Additional info:


This is with a recently updated FC4 machine.

$ uname -a
Linux topo.toronto.redhat.com 2.6.14-1.1653_FC4smp #1 SMP Tue Dec 13 21:46:01 EST 2005 i686 i686 i386 GNU/Linux

I remember using fsh a couple of months ago.  I am not sure when it broke.
Comment 1 David Woodhouse 2006-01-13 16:23:13 EST
fsh is now obsolete -- see http://david.woodhou.se/openssh-control.html

But I think fsh 1.2-6 in dist-fc4 does fix this.
Comment 2 Christian Iseli 2007-01-22 05:24:59 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 22:59:48 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.